// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Inputs
{

    public sealed class PartitionConfigArgs : global::Pulumi.ResourceArgs
    {
        [Input("db", required: true)]
        public Input<string> Db { get; set; } = null!;

        [Input("osd", required: true)]
        public Input<string> Osd { get; set; } = null!;

        [Input("wal", required: true)]
        public Input<string> Wal { get; set; } = null!;

        public PartitionConfigArgs()
        {
        }
        public static new PartitionConfigArgs Empty => new PartitionConfigArgs();
    }
}
